> ## Documentation Index
> Fetch the complete documentation index at: https://perps-api.vooi.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get slippage for provided notional and side



## OpenAPI

````yaml https://vooi-api-app.fly.dev/swagger/json get /exchange/estimate-slippage
openapi: 3.1.0
info:
  title: VOOI API
  description: Unified perps API
  version: '1.0'
  contact: {}
servers:
  - url: https://perps-api.vooi.io
security: []
tags: []
paths:
  /exchange/estimate-slippage:
    get:
      tags:
        - Exchange
      summary: Get slippage for provided notional and side
      operationId: ExchangeController_getSlippage
      parameters:
        - name: asset
          required: true
          in: query
          schema:
            type: string
            minLength: 1
            example: ETH
          description: >-
            Asset identifier: base symbol (e.g. "ETH") or full pair (e.g.
            "ETHUSDC").
        - name: exchange
          required: true
          in: query
          schema:
            type: string
            enum:
              - aster
              - binance
              - bybit
              - extended
              - gate
              - hyperliquid
              - lighter
              - mexc
              - ondo
              - robinhood
            example: aster
          description: Exchange name
        - name: notionalUsd
          required: true
          in: query
          schema:
            example: 1000
            type: string
          description: Notional USD includes leverage
        - name: side
          required: true
          in: query
          schema:
            type: string
            enum:
              - buy
              - sell
            example: buy
          description: Side
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetSlippageDto'
        '503':
          description: ExchangeApiError
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponseDTO'
      security:
        - bearer: []
components:
  schemas:
    GetSlippageDto:
      anyOf:
        - type: object
          properties:
            avgPrice:
              type: number
              description: Average execution price across all filled orderbook levels
              example: 1852.34
            bestPrice:
              type: number
              description: Best available price (ask for long, bid for short)
              example: 1850.5
            depthImpact:
              type: number
              description: >-
                Price impact as a percentage difference from the best price on
                the side you take, excluding the half-spread
              example: 0.099432
            depthUsedUsd:
              type: number
              description: Total USD value of orderbook depth consumed to fill the order
              example: 50000
            effectiveSpreadBps:
              type: number
              description: Spread between worst and best execution price in basis points
              example: 12.5
            filled:
              type: boolean
              description: >-
                Whether the order can be completely filled at current orderbook
                depth
            filledPercent:
              type: number
              description: Percentage of order filled (0-100)
              example: 100
            slippage:
              type: number
              description: Price impact as percentage difference from mid-price
              example: 0.125432
            slippageBps:
              type: number
              description: Price impact in basis points (slippage × 100)
              example: 12.54
            worstPrice:
              type: number
              description: >-
                Worst (highest for long, lowest for short) price encountered
                while filling
              example: 1854.75
          required:
            - avgPrice
            - bestPrice
            - depthImpact
            - depthUsedUsd
            - effectiveSpreadBps
            - filled
            - filledPercent
            - slippage
            - slippageBps
            - worstPrice
          description: Slippage calculation result, or null when the top of book is crossed
        - type: 'null'
      title: GetSlippage
    ErrorResponseDTO:
      type: object
      properties:
        message:
          type: string
          example: 'Invalid order id: 123'
        statusCode:
          example: 503
          type: number
      required:
        - message
      title: ErrorResponse
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.